Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.rfh
Class RemoteFileHandler

    java.lang.Object
      com.stc.connector.sagadapter.rfh.RemoteFileHandler

    public class RemoteFileHandler

extends java.lang.Object

This class is used to fork/spawn an Remote File Handler process. This process is kept alive until or unless the SAG e*Way is undeployed.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:41 $
Author:
  Harry Liu (harry.liu@sun.com)

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`RemoteFileHandler()` Allows you to execute an Remote File Handler command line, provided that you specify the whole command line with all the necessary arguments.

Method Summary
`java.lang.String` | `getExecutable()`
`java.lang.String` | `getFtlaPortNumber()`
`java.lang.String` | `getSnlHost()`
`boolean` | `getSslMode()`
`java.lang.String` | `getTransferEndPoint()`
`boolean` | `isAlive()` Check on whether the RFH sub-process is alive and available to be used.
`boolean` | `isSslMode()`
`void` | `launch(boolean checkError)` Launches an RFH sub-process.
`static void` | `main(java.lang.String[] args)` Used to do stand-alone testing.
`void` | `setExecutable(java.lang.String executable)`
`void` | `setFtlaPortNumber(java.lang.String ftlaPortNumber)`
`void` | `setSnlHost(java.lang.String snlHost)`
`void` | `setSslMode(boolean sslMode)`
`void` | `setTransferEndPoint(java.lang.String transferEndPoint)`
`void` | `terminate()` Terminates the RFH sub-process.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### RemoteFileHandler

    public RemoteFileHandler()

  Allows you to execute an Remote File Handler command line, provided that you specify the whole command line with all the necessary arguments.

Method Detail

### getExecutable

    public java.lang.String getExecutable()

  Returns:

### setExecutable

    public void setExecutable(java.lang.String executable)

  Parameters:
    `executable` -

### getFtlaPortNumber

    public java.lang.String getFtlaPortNumber()

  Returns:

### setFtlaPortNumber

    public void setFtlaPortNumber(java.lang.String ftlaPortNumber)

  Parameters:
    `ftlaPortNumber` -

### getSnlHost

    public java.lang.String getSnlHost()

  Returns:

### setSnlHost

    public void setSnlHost(java.lang.String snlHost)

  Parameters:
    `snlHost` -

### getSslMode

    public boolean getSslMode()

  Returns:

### isSslMode

    public boolean isSslMode()

  Returns:

### setSslMode

    public void setSslMode(boolean sslMode)

  Parameters:
    `sslMode` -

### getTransferEndPoint

    public java.lang.String getTransferEndPoint()

  Returns:

### setTransferEndPoint

    public void setTransferEndPoint(java.lang.String transferEndPoint)

  Parameters:
    `transferEndPoint` -

### launch

    public void launch(boolean checkError)
                throws java.lang.Exception

  Launches an RFH sub-process.

  Parameters:
    `checkError` - true or false. When true, wait a while (20 seconds) then check the process status to detect the error after the RFH command is submitted. When false, just return after the RFH command is submitted.
  Throws:
    `java.lang.Exception` - If some error occurs.

### terminate

    public void terminate()

  Terminates the RFH sub-process.

### isAlive

    public boolean isAlive()

  Check on whether the RFH sub-process is alive and available to be used. A stopped RFH sub-process means an unsuccessful launch or terminated process.

  Returns:
    true or false.

### main

    public static void main(java.lang.String[] args)

  Used to do stand-alone testing.

  Parameters:
    `args` - Command line parameters.
  Throws:
    `java.lang.Exception` - If some error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.